# SoMFUShort Class Reference
[Field classes]

`#include <Inventor/fields/SoMFUShort.h>`

Inheritance diagram for SoMFUShort:

List of all members.

## Detailed Description

The SoMFUShort class is a container for unsigned short integer values.

This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

This field is used where nodes, engines or other field containers needs to store a group of multiple short unsigned integer values.

See also:
  SoSFUShort

## Static Public Member Functions

void | initClass (void)

## Member Function Documentation

void SoMFUShort::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoMField.

The documentation for this class was generated from the following files:

- SoMFUShort.h
- SoMFUShort.cpp